<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity OrganizationDetails.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idpic"
                                 baseTableName="organization_detail"
                                 constraintName="fk_organization_details_pic_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="person"/>

        <addForeignKeyConstraint baseColumnNames="idposaddtdp"
                                 baseTableName="organization_detail"
                                 constraintName="fk_organization_details_addresstdp_id"
                                 referencedColumnNames="idcontact"
                                 referencedTableName="postal_address"/>

        <addForeignKeyConstraint baseColumnNames="idorganization"
                                 baseTableName="organization_detail"
                                 constraintName="fk_organization_details_organization_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="organization"/>

    </changeSet>
</databaseChangeLog>
